3

I find in neovimcraft a list of Neovim plugins

Can we install them inside Vim or gVim?

It seems that the plugins in vimawsome can be installed on Neovim but not always in Vim.

Is that correct?

How can we determine if we can install a plugin on both Neovim and Vim?

1 Answer 1

4

Most plugins are compatible for both Vim and Neovim.

I'm not aware of any popular plugins that is Vim compatible and not Neovim compatible.

Neovim has a more rich Lua binding and some plugins make use of that functionality making them not compatible with Vim.

You'll find on the home page of the plugin the requirements for Neovim only.

Some examples are:

The Neovim tag on VimAwesome gives you a hint that the plugin is for Neovim only (VimAwesome contains both Vim and Neovim only plugins).

enter image description here

The NeovimCraft seems to focus on Neovim only plugins but some plugins of the list are also compatible with Vim (e.g. barbar or markdowns-preview)

5
  • Thanks, do you use neovim personally? Commented Mar 6, 2023 at 3:33
  • You are welcome. I'm using both but spending more time in gVim. Commented Mar 6, 2023 at 6:42
  • vimspector at least used to work much better on vim.
    – eyal karni
    Commented Mar 8, 2023 at 0:15
  • @eyal can you give me an exemple I'm interested to document it. Commented Mar 8, 2023 at 6:30
  • 1
    github.com/puremourning/vimspector see neovim differences. No balloons for example.
    – eyal karni
    Commented Mar 10, 2023 at 23:02

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.